SqueezePlay OS (Version 3) for OpenFrame

General discussion relating to the O2 Joggler, from the default O2 setup, to alternative operating systems and applications.
Man in a van
Posts: 337
Joined: Sun Aug 25, 2013 2:39 pm
Location: Staffordshire. UK

Re: SqueezePlay OS (Version 3) for OpenFrame

Post by Man in a van »

@Berns

So I have a Joggler with sqpos303 installed and the EDO applet on the internal memory

I do:

Code: Select all

sudo sed -i.bak 's/ubuntu.datahop.net/archive.ubuntu.com/g' /etc/apt/sources.list

	sudo apt-get update

Code: Select all

sudo apt-get install libio-socket-ssl-perl libnet-libidn-perl libnet-ssleay-perl libcrypt-openssl-rsa-perl lame

	wget http://downloads.slimdevices.com/nightly/8.1/lms/51b8fe3afa8d51a8b8ca07eb580fd7676d7f825e/logitechmediaserver_8.1.2~1617513319_i386.deb 
	
	sudo dpkg -i logitechmediaserver_8.1.2~1617513319_i386.deb 

	sudo apt -f install
To LMS I add the following plugins

Material
Music and Artist Information
Radio Paradise
BBC Sounds
Radio France
and the updated HLS:- http://bpa-code.github.io/bpaplugins/re ... ls-v2.xml
All play through the attatched usb dac (Stoner Aqoustics).

This is safari on iphone, Material saved as a desktop shortcut (Tip: after configuring Material, save settings as "Default")

Image

So the Joggler running 7.8.0 should be able to upgrade.

When I was running LMS on the Internal memory of the Joggler (along with Squeezeplay) I happened to mention my routine of upgrading on the slimdevices forum.

At that time (because of space limitations, it was not possible to download the new version, I used to purge the old and install the new, and then reconfigure).

A member on the forum (django) advised me to just do

Code: Select all

sudo apt remove logitmediaserver
This removed most of the build but left the preferences (and I think, the cache).

hope this helps

ronnie

remember to remove the lms file you downloaded :)
User avatar
roobarb!
Posts: 1657
Joined: Sat Mar 05, 2011 1:30 pm
Location: Salford, UK
Contact:

Re: SqueezePlay OS (Version 3) for OpenFrame

Post by roobarb! »

This is great; I've not used LMS for quite some time now, but I'm really pleased it can be brought up to the newest version. Kudos to the LMS team for keeping the 32-bit versions ticking and to @Man in a van for keeping everyone informed! Given the extended support for Ubuntu 18.04 through to 2028 it bodes really nicely for the next decade of Joggler use! 8-)

Mine are all automation / camera displays or AirPlay receivers at the moment. Thankfully the server which builds the vanilla OpenFrame images wasn't involved in the recent OVH fire (we're in Roubaix, not Strasbourg). :lol:
Post Reply